package com.ycwl.basic.service.mobile;

import com.ycwl.basic.model.pc.coupon.entity.CouponEntity;
import com.ycwl.basic.model.pc.couponRecord.entity.CouponRecordEntity;

import java.util.List;

public interface AppCouponRecordService {
    
    List<CouponRecordEntity> queryByMemberIdAndFaceId(Long memberId, Long faceId);
    
    CouponRecordEntity queryByMemberIdAndFaceIdAndType(Long memberId, Long faceId, Integer type);
    
    CouponEntity claimCoupon(Long memberId, Long faceId, Integer type);
}